Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.jul
Class DefaultLevelConverter

    java.lang.Object
      org.apache.logging.log4j.jul.DefaultLevelConverter

All Implemented Interfaces:
  LevelConverter

    public class DefaultLevelConverter

extends Object
implements LevelConverter

Default implementation of LevelConverter strategy.

Since:
  2.1

Constructor Summary
`DefaultLevelConverter()`

Method Summary
`Level` | `toJavaLevel(org.apache.logging.log4j.Level level)` Converts a Log4j logging Level to a JDK logging Level.
`org.apache.logging.log4j.Level` | `toLevel(Level javaLevel)` Converts a JDK logging Level to a Log4j logging Level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultLevelConverter

    public DefaultLevelConverter()

Method Detail

### toLevel

    public org.apache.logging.log4j.Level toLevel(Level javaLevel)

  Description copied from interface: `LevelConverter`
  Converts a JDK logging Level to a Log4j logging Level.

  Specified by:
    `toLevel` in interface `LevelConverter`
  Parameters:
    `javaLevel` - JDK Level to convert.
  Returns:
    converted Level or `null` if the given level could not be converted.

### toJavaLevel

    public Level toJavaLevel(org.apache.logging.log4j.Level level)

  Description copied from interface: `LevelConverter`
  Converts a Log4j logging Level to a JDK logging Level.

  Specified by:
    `toJavaLevel` in interface `LevelConverter`
  Parameters:
    `level` - Log4j Level to convert.
  Returns:
    converted Level or `null` if the given level could not be converted.

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.